context-menu shows out of screen when scrolled down with a lot of issues
Assignee:  % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 5.1.2

Description

I tested this on my custom theme as well as the default theme, but did not get a chance to test on a bare bones redmine instance yet.

Still have some confidence that this exists on bare bones redmine.

The context-menu seems to show up out of screen when certain conditions apply...

I think its when there are a lot of issues in the list (>25, I have around 90 on my test) and you scroll down a certain amount.

I was able to crudely fix it by modifying

/public/javascripts/context-menu.js

where all the vertical pixels for css "top" is divided by 10 or 100.

Have not tested on a bare bones instance yet but fairly sure this exists on the bare bones redmine.

History

#1 - 2024-06-07 08:37 - James H

also, my context menu is fairly large with about 15-20+ options.

and in my test, I usually just scroll down to the last issue and right click there, and the "top" pixels usually shows around 1800-5000

#2 - 2024-06-18 11:08 - Holger Just

- Status changed from New to Needs feedback

Could you add a screenshot (or generally more explicit details) which describes the issue you see? From your description alone, it is unfortunately not

clear what you are exactly.

Also, please make sure that the issue is actually present on an unmodified Redmine. Custom themes and plugins can change almost any aspect of

Redmine and may sometimes cause unintended issues if not apllied correctly. We can not solve issues caused by a custom theme or plugin.

#3 - 2024-06-28 15:44 - Christoph Haas

- File clipboard-202406281537-a3bhp.png added

- File clipboard-202406281538-5gor7.png added

- File clipboard-202406281539-zoaig.png added

Redmine 5.1.3 here. I can confirm that bug. When I click on the three dots a very brief "Loading" overlay appears in the middle. The browser does an

XHR request to /issues/context_menu?utf8=%E2%9C%93&authenticity_token=…%3D%3D&ids%5B%5D=57018 but nothing else happens. The XHR

request gets a proper response.

The context menu appears if I can reach the three dots without scrolling:
I scroll down a bit to see more issues and the context menu is only shown partially:

 

Going one issue further down in the list does not show the context menu at all:

 

I looked for #context-menu in the HTML (web toolbar) in Firefox and found:

<div id="context-menu" style="left: 1307px; top: 3217.25px;" class="reverse-y"><ul>

    <li><a class="icon icon-edit" href="/issues/57936/edit">Edit</a></li>

  <li class="folder">

    <a href="#" class="submenu">Status</a>

    <ul>

        <li>

          <a class="" rel="nofollow" data-method="patch" href="/issues/57936?

 The top property has a value of 3217.25px. I already have a large screen with 3440x1440 pixels but that's too low to be displayed.
EDIT: I have found the redmine_hide_sidebar plugin to be the culprit. See https://github.com/nanego/redmine_hide_sidebar/issues/3

Disabling the plugin fixed the issue for me.

Files

clipboard-202406281537-a3bhp.png 116 KB 2024-06-28 Christoph Haas

clipboard-202406281538-5gor7.png 6.34 KB 2024-06-28 Christoph Haas

clipboard-202406281539-zoaig.png 3.75 KB 2024-06-28 Christoph Haas

Powered by TCPDF (www.tcpdf.org)

2025-04-01 3/3

https://github.com/nanego/redmine_hide_sidebar/issues/3
http://www.tcpdf.org

